# Xapian::DatabaseModifiedError Class Reference

DatabaseModifiedError indicates a database was modified. More...

Inheritance diagram for Xapian::DatabaseModifiedError:

[legend]

List of all members.

## Public Member Functions
| DatabaseModifiedError (const std::string &msg_, const std::string &context_=std::string(), int errno_=0)
| General purpose constructor.
| DatabaseModifiedError (const std::string &msg_, int errno_)
| Construct from message and errno value.

## Detailed Description

DatabaseModifiedError indicates a database was modified.

To recover after catching this error, you need to call Xapian::Database::reopen() on the Database and repeat the operation which failed.

## Constructor & Destructor Documentation

Xapian::DatabaseModifiedError::DatabaseModifiedError | ( | const std::string & | msg_,
|  | const std::string & | context_ = `std::string()`,
|  | int | errno_ = `0` |
| ) |  |  | `[inline, explicit]`

General purpose constructor.

Parameters:

  | msg_ | Message giving details of the error, intended for human consumption.
  | context_ | Optional context information for this error.
  | errno_ | Optional errno value associated with this error.

Xapian::DatabaseModifiedError::DatabaseModifiedError | ( | const std::string & | msg_,
|  | int | errno_ |
| ) |  |  | `[inline]`

Construct from message and errno value.

Parameters:

  | msg_ | Message giving details of the error, intended for human consumption.
  | errno_ | Optional errno value associated with this error.

The documentation for this class was generated from the following file:

- xapian/error.h